// $Id: profileid.h,v 1.9 2008/02/19 21:02:10 hvengel Exp $
//  Lttle cms Profiler
// Copyright (C) 2005 Hal Engel
//
// THIS SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
// OF THIS SOFTWARE.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// Version 1.11

#ifndef PROFILEID_H
#define PROFILEID_H

#include "ui_profileidbase.h"

class  ProfileID : public QDialog, private Ui::ProfileIDBase
{
  Q_OBJECT

public:

    ProfileID(QWidget *parent=0);
    virtual ~ProfileID();

private slots:
    void slotOKCheck();
    void slotCancelDontCheck();
    void slotUpdateValues();
    void slotHelpButton();
    void slotSelectOutputFile();
    void slotFileNameChanged();
    void slotDescriptionChanged();
    void slotDescriptionLostFocus();

private:
    void validateFileName(QString &fn);    
    void checkDescription();
};

#endif
